# Generated automatically from Makefile.in by configure.
prefix=/usr
prgdir=/lib/Chinput
imdir=/lib/Chinput/im
all:
	cd unicon; make
	cd src; make

data: 
	cd unicon; make data

data-install:
	if [ ! -d $(prefix)$(imdir) ] ; then mkdir -p $(prefix)$(imdir); fi
	if [ ! -d $(prefix)/bin ] ; then mkdir -p $(prefix)/bin; fi
	cd unicon; make data-install

install: 
	if [ ! -d $(prefix)$(imdir) ] ; then mkdir -p $(prefix)$(imdir); fi
	if [ ! -d $(prefix)/bin ] ; then mkdir -p $(prefix)/bin; fi
	cd unicon; make install
	cd src; make install
	cd resource; make install

clean:
	cd unicon; make clean
	cd src; make clean

distclean: clean
	rm -f config.status config.log config.cache Makefile
	cd unicon; make distclean
	cd resource; make distclean
	cd src; make distclean
	rm -f *.bak

